use super::Window;


#[derive(Debug, Default)]
pub struct ErrorW {

}

impl Window for ErrorW {
    fn id() -> super::WindowId where Self: Sized {
        super::WindowId::Error
    }
    fn default_title() -> &'static str where Self: Sized {
        "Error!"
    }
    fn draw(&mut self, ui: &mut egui::Ui, _: &mut crate::GuiState) -> crate::Result<()> {
        ui.label("Hello from other window!");
        Ok(()) 
    }
}
